<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:include href="style.xsl"/>
  <!--<xsl:include href="pref_text.xsl"/>-->
  <xsl:include href="page_common.xsl"/>
  
  <xsl:output method="html"/>  
  
  <xsl:template name="pageHead">
    <head>
      <title>Preferences</title>
    </head>
    <xsl:call-template name="headScript"/>
  </xsl:template>

  <xsl:template match="pageResponse">
    <xsl:variable name='library' select='ancestor::page/pageExtra/config/library_name'/>    
    <xsl:variable name="collName" select="ancestor::page/pageRequest/paramList/param[@name='c']/@value"/>
    <center>
      <xsl:call-template name="collectionPageBanner">
	<xsl:with-param name="collName" select="$collName"/>
	<xsl:with-param name="pageType">pref</xsl:with-param>
      </xsl:call-template>

      <form name="PrefForm" method="get" action="/gsdl3/{$library}">
	<input type='hidden' name='a' value='p'/>
	<input type='hidden' name='sa' value='pref'/>
	<table>
	  <tr><td><h3>Presentation preferences</h3></td></tr>
	  <tr><td><xsl:call-template name="pres-prefs"/></td></tr>
	  <tr><td><xsl:call-template name="greenBar"/></td></tr>
	  <tr><td><h3>Search Preferences</h3></td></tr>
	  <tr><td><xsl:call-template name="search-prefs"/></td></tr>
	  <tr><td><xsl:call-template name="greenBar"/></td></tr>
	</table>
      </form>
    </center>
  </xsl:template>

  
  <xsl:template name="pres-prefs">
    <table>
      <tr><td>Interface language:</td><td align='left'>x</td></tr>
      <tr><td>Encoding:</td><td align='left'>x</td></tr>
      <tr><td>Interface format:</td><td align='left'>x</td></tr>
    </table>
  </xsl:template>
  
  <xsl:template name="search-prefs">
    <table>
      <tr><td></td><td align='right'><input type='submit' value='set prefs'/></td></tr>
      <tr><td valign='baseline'>Query box size:</td><td><input type='radio' name='qb' value='0' onClick="updateqb(0);"><xsl:if test="ancestor::page/pageRequest/paramList/param[@name='qb']/@value=0"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input> regular query box<br />
	  <input type='radio' name='qb' value='1' onClick="updateqb(1);"><xsl:if test="ancestor::page/pageRequest/paramList/param[@name='qb']/@value=1"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input>large query box</td></tr>
      <tr><td valign='baseline'>Case differences:</td><td><input type='radio' name='ca' value='1' onClick="updateca(1);" checked=''/> ignore case differences<br />
	  <input type='radio' name='ca' value='0' onClick="updateca(0);"/> upper/lower case must match</td></tr>
      <tr><td valign='baseline'>Word endings:</td><td><input type='radio' name='st' value='1' onClick="updatest(1);"/> ignore word endings<br />
	  <input type='radio' name='st' value='0' onClick="updatest(0);" checked=''/> whole word must match</td></tr>
      <tr><td valign='baseline'>Query mode:</td><td><input type='radio' name='qm' value='0' onClick="updateqm(0);" checked=''/> simple query mode<br />
	      <input type='radio' name='qm' value='1' onClick="updateqm(1);"/> advanced query mode (allows boolean searching using !, &amp;, |, and parentheses)</td></tr>
      <tr><td colspan='2'>Return up to 
	  <select name="md" onChange="updatemd();">
	    <option value="50" selected="">50</option>
	    <option value="100">100</option>
	    <option value="200">200</option>
	    <option value="-1">all</option>
	  </select>
	  hits with 
	  <select name="hp" onChange="updatehp();">
	    <option value="10">10 </option> 
	    <option value="20" selected="">20</option>
	    <option value="50">50</option>
	    <option value="-1">all</option>
	  </select>
	  hits per page.
	</td></tr>
    </table>
  </xsl:template>

</xsl:stylesheet>
